petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESCompositeAddSNES

Adds another SNES to the composite SNES.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESCompositeAddSNES(SNES snes,SNESType type)

Collective on SNES

### Input Parameters

| snes | - the preconditioner context
| type | - the type of the new preconditioner

### Keywords

SNES, composite preconditioner, add

Level:Developer
Location:src/snes/impls/composite/snescomposite.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages